//  Copyright © 2020 Optimove. All rights reserved.

import Foundation

public extension utsname {

    var deviceModel: String {
        var systemInfo = self
        uname(&systemInfo)
        let machineMirror = Mirror(reflecting: systemInfo.machine)
        return machineMirror.children.reduce("") { identifier, element in
            guard let value = element.value as? Int8, value != 0 else { return identifier }
            return identifier + String(UnicodeScalar(UInt8(value)))
        }
    }

}
